import 'package:args/command_runner.dart';
import 'package:dcli/dcli.dart';
import 'package:docker2/docker2.dart';
import 'package:nginx_le_shared/nginx_le_shared.dart';

import 'util.dart';

class CliCommand extends Command<void> {
  CliCommand() {
    argParser.addFlag(
      'debug',
      abbr: 'd',
      negatable: false,
      help: 'Outputs additional logging information',
    );
  }
  @override
  String get description =>
      'Starts a bash shell allowing you to interact with the container.';

  @override
  String get name => 'cli';

  @override
  void run() {
    final debug = argResults!['debug'] as bool;
    Settings().setVerbose(enabled: debug);
    final config = ConfigYaml()..validate(() => showUsage(argParser));

    final container = Containers().findByContainerId(config.containerid!);
    if (container != null && container.isRunning) {
      'docker exec -it ${config.containerid} /bin/bash'
          .start(nothrow: true, terminal: true);
    } else {
      printerr('The container ${config.containerid} is not running. '
          'You need to start it first.');
    }
  }
}
